summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Carlos Corbacho2010-09-11 08:29:43 +0200
committer Robby Workman2010-09-13 06:08:51 +0200
commit669c822d9ba8d50b649483674d001ee11078aa3c (patch)
treeecdab4859c76e7cc9678550313cd4a99b8f4a030 /system
parent6d3aa3782f0b25eafff474ee2574bd2e5525f54b (diff)
downloadslackbuilds-669c822d9ba8d50b649483674d001ee11078aa3c.tar.gz
system/kcm_touchpad: Added (touchpad configuration module for kde)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/kcm_touchpad/README1
-rw-r--r--system/kcm_touchpad/kcm_touchpad.SlackBuild96
-rw-r--r--system/kcm_touchpad/kcm_touchpad.info10
-rw-r--r--system/kcm_touchpad/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/system/kcm_touchpad/README b/system/kcm_touchpad/README
new file mode 100644
index 0000000000..8e3ad929b9
--- /dev/null
+++ b/system/kcm_touchpad/README
@@ -0,0 +1 @@
+kcm_touchpad is a configuration control panel module for laptop touchpads.
diff --git a/system/kcm_touchpad/kcm_touchpad.SlackBuild b/system/kcm_touchpad/kcm_touchpad.SlackBuild
new file mode 100644
index 0000000000..02b5334e0b
--- /dev/null
+++ b/system/kcm_touchpad/kcm_touchpad.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Copyright 2010 Carlos Corbacho <carlos@strangeworlds.co.uk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kcm_touchpad
+
+VERSION=${VERSION:-0.3.1}
+GIT_REVISION=${GIT_VERSION:-00370b5}
+
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+# The package name and untar'ed directory names are completely bonkers...
+rm -rf mishaaq-$PRGNAM-$GIT_REVISION
+tar xvf $CWD/mishaaq-$PRGNAM-$PRGNAM-$VERSION-0-g$GIT_REVISION.tar.gz
+cd mishaaq-$PRGNAM-$GIT_REVISION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS -L/usr/lib$LIBDIRSUFFIX" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -L/usr/lib$LIBDIRSUFFIX" \
+ -DLIB_SUFFIX=$LIBDIRSUFFIX \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ .
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/kcm_touchpad/kcm_touchpad.info b/system/kcm_touchpad/kcm_touchpad.info
new file mode 100644
index 0000000000..bf73df4233
--- /dev/null
+++ b/system/kcm_touchpad/kcm_touchpad.info
@@ -0,0 +1,10 @@
+PRGNAM="kcm_touchpad"
+VERSION="0.3.1"
+HOMEPAGE="http://github.com/misaaq/kcm_touchpad/"
+DOWNLOAD="http://github.com/mishaaq/kcm_touchpad/tarball/kcm_touchpad-0.3.1"
+MD5SUM="f355a658d2e9267fdf4e8d8f88038bcf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Carlos Corbacho"
+EMAIL="carlos@strangeworlds.co.uk"
+APPROVED="rworkman"
diff --git a/system/kcm_touchpad/slack-desc b/system/kcm_touchpad/slack-desc
new file mode 100644
index 0000000000..7f8ef47200
--- /dev/null
+++ b/system/kcm_touchpad/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kcm_touchpad: kcm_touchpad (touchpad configuration)
+kcm_touchpad:
+kcm_touchpad: kcm_touchpad is a KControl module to configure "synaptics" driver
+kcm_touchpad: based touchpads under GNU/Linux.
+kcm_touchpad:
+kcm_touchpad: Home Page: http://github.com/mishaaq/kcm_touchpad
+kcm_touchpad:
+kcm_touchpad:
+kcm_touchpad:
+kcm_touchpad:
+kcm_touchpad: